Create a conversation
- Base URL
-
https://{kibana_url}
- POST /api/security_ai_assistant/current_user/conversations
- POST /s/{space_id}/api/security_ai_assistant/current_user/conversations
Create a new Security AI Assistant conversation. This endpoint allows the user to initiate a conversation with the Security AI Assistant by providing the required parameters.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
-
messagesobject[] -
The conversation messages.
-
idstring · format: nonempty · min length: 1 -
A string that does not contain only whitespace characters.
-
metadataobject -
Message metadata
-
contentReferencesmap string to oneOf -
A union of all content reference types
-
<string>union oneOf -
interruptResumeValueunion oneOf -
Union of the interrupt resume values
- One of:
-
timestampstring · format: nonempty · min length: 1required -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
References a knowledge base entry
References a security alert
References the security alerts page
References the product documentation
References an ESQL query
A request approval resume schema
Responses
Indicates a successful call. The conversation was created successfully.